Skip to main content
PUT
/
api
/
v1
/
merchants
/
{merchantId}
/
bank-profiles
/
{id}
cURL
curl --request PUT \
  --url https://vpos.payven.com.tr/api/v1/merchants/{merchantId}/bank-profiles/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subMerchantId": "<string>",
  "subMerchantName": "<string>",
  "subMerchantMcc": "<string>",
  "subMerchantPostalCode": "<string>",
  "subMerchantCity": "<string>",
  "subMerchantCountryCode": "<string>",
  "extraProperties": {}
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

merchantId
string<uuid>
required
id
string<uuid>
required

Body

id
string<uuid>
merchantId
string<uuid>
subMerchantId
string | null
subMerchantName
string | null
subMerchantMcc
string | null
subMerchantPostalCode
string | null
subMerchantCity
string | null
subMerchantCountryCode
string | null
extraProperties
object

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
unknown